DELIMITER //

CREATE TABLE IF NOT EXISTS `recovery_tokens` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AccountID` int(11) NOT NULL,
  `Date` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Token` varchar(100) NOT NULL,
  `isUsed`  tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `AccountID` (`AccountID`),
  UNIQUE KEY `Token` (`Token`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8//


ALTER TABLE `recovery_tokens`
  ADD CONSTRAINT `recovery_tokens_ibfk_1` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`ID`)//





ALTER TABLE `submodules`
ADD `isUsed`  tinyint(1) NOT NULL DEFAULT '0'//
 
UPDATE `submodules`
SET submodules.isUsed = 1
WHERE submodules.ID IN 
	(
		SELECT DISTINCT rating_table.SubmoduleID
		FROM `rating_table`
	)//


DELIMITER ;